Subject: Re: bug#6428: 24.0.50; UNEXEC.OBJ not defined

From: john ffitch <[email-masked]>
Date: Wed, 16 Jun 2010 12:41:33 +0100

>>>>> "Glenn" == Glenn Morris <[email-masked]> writes:

 Glenn> john ffitch wrote:
 >> yesterday afternoon (about 1 hrs ago) I update emacs from bzr and it
 >> failed to build with undefined UNEXEC.OBJ.  bootstrap and configure
 >> did not fix.  This morning on a different machine I have the same
 >> problem.  src/Makefile has @UNEXEC.OBJ@ raw.

 Glenn> The string "UNEXEC.OBJ" does not appear anywhere in the Emacs sources.
 Glenn> Either you meant UNEXEC_OBJ, or your copy is bizarrely messed up.

Sorry -- I had lost the original message by the time I had an emacs to
send mail  I should have typed UNEXEC_OBJ

 Glenn> What does `bzr status' say?

~/GNU_21/emacs/trunk> bzr status
renamed:
  configure => configure.OTHER*
modified:
  configure.OTHER*
unknown:
  configure
  configure.BASE
  configure.BASE.moved
  configure.BASE.moved.moved
  configure.BASE.moved.moved.moved
  configure.OTHER.moved
  configure.OTHER.moved.moved
  configure.OTHER.moved.moved.moved
  configure.THIS
  configure.THIS.moved
  configure.THIS.moved.moved
conflicts:
  Contents conflict in configure
  Conflict adding id to configure.OTHER.  Unversioned existing file configure.
  Text conflict in configure
  Conflict adding file configure.BASE.  Moved existing file to configure.BASE.moved.
  Conflict adding file configure.BASE.moved.  Moved existing file to configure.BASE.moved.moved.
  Conflict adding file configure.BASE.moved.moved.  Moved existing file to configure.BASE.moved.moved.moved.
  Conflict adding file configure.OTHER.  Moved existing file to configure.OTHER.moved.
  Conflict adding file configure.OTHER.  Moved existing file to configure.OTHER.moved.
  Conflict adding file configure.OTHER.moved.  Moved existing file to configure.OTHER.moved.moved.
  Conflict adding file configure.OTHER.moved.moved.  Moved existing file to configure.OTHER.moved.moved.moved.
  Conflict adding file configure.THIS.  Moved existing file to configure.THIS.moved.
  Conflict adding file configure.THIS.moved.  Moved existing file to configure.THIS.moved.moved.

 Glenn> What does `grep UNEXEC_OBJ configure' say?

harvey:~/GNU_21/emacs/trunk> grep UNEXEC_OBJ configure
harvey:~/GNU_21/emacs/trunk> 

 Glenn> grep UNEXEC_OBJ config.status ?

harvey:~/GNU_21/emacs/trunk> grep UNEXEC_OBJ config.status
harvey:~/GNU_21/emacs/trunk> 

and for good measure

harvey:~/GNU_21/emacs/trunk> grep UNEXEC_OBJ config*
configure.in:UNEXEC_OBJ=unexelf.o
configure.in:   UNEXEC_OBJ=unexaix.o
configure.in:   UNEXEC_OBJ=unexcw.o
configure.in:   UNEXEC_OBJ=unexmacosx.o
configure.in:   UNEXEC_OBJ=unexhp9k800.o
configure.in:   UNEXEC_OBJ=unexsol.o
configure.in:    UNEXEC_OBJ=unexalpha.o 
configure.in:AC_SUBST(UNEXEC_OBJ)
configure.OTHER:UNEXEC_OBJ
configure.OTHER:UNEXEC_OBJ=unexelf.o
configure.OTHER:   UNEXEC_OBJ=unexaix.o
configure.OTHER:   UNEXEC_OBJ=unexcw.o
configure.OTHER:   UNEXEC_OBJ=unexmacosx.o
configure.OTHER:   UNEXEC_OBJ=unexhp9k800.o
configure.OTHER:   UNEXEC_OBJ=unexsol.o
configure.OTHER:    UNEXEC_OBJ=unexalpha.o

==John ffitch